<?php
/**
 * Customizer
 * 
 * @package WordPress
 * @subpackage professional-vlogger
 * @since professional-vlogger 1.0
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function professional_vlogger_customize_register( $wp_customize ) {
	$wp_customize->add_section( new Professional_Vlogger_Upsell_Section($wp_customize,'upsell_section',array(
		'title'            => __( 'Professional Vlogger Pro', 'professional-vlogger' ),
		'button_text'      => __( 'Upgrade Pro', 'professional-vlogger' ),
		'url'              => 'https://www.wpradiant.net/products/vlogger-wordpress-theme',
		'priority'         => 0,
	)));
}
add_action( 'customize_register', 'professional_vlogger_customize_register' );

/**
 * Enqueue script for custom customize control.
 */
function professional_vlogger_custom_control_scripts() {
	wp_enqueue_script( 'professional-vlogger-custom-controls-js', get_template_directory_uri() . '/assets/js/custom-controls.js', array( 'jquery', 'jquery-ui-core', 'jquery-ui-sortable' ), '1.0', true );
	wp_enqueue_style( 'professional-vlogger-customize-controls', trailingslashit( get_template_directory_uri() ) . '/assets/css/customize-controls.css' );
}
add_action( 'customize_controls_enqueue_scripts', 'professional_vlogger_custom_control_scripts' );